.style-switcher {
    background: #0095da;
    width: 250px;
    position: fixed;
    top: 30%;
    z-index: 1002;
    border-radius: 0;
    left: -250px;
}

@media (max-width:767px) {

    .view-xs {
        display: block!important;
    }

    .style-switcher {
        width: 100%;
        position: fixed;
        top: initial;
        bottom: 0;
        z-index: 1002;
        border-radius: 0;
        left: -250px;
    }
        .style-switcher .style-switcher-open {
        background-color:#0095da;
        display: block;
          position: absolute;
        /*right: -40px;*/
        top: -40px;
        width: 100%;
        font-size: 17px;
        line-height: 38px;
        color: #FFF;
        text-align: center;
        text-decoration: none;
        border-radius: 0 6px 6px 0;
    }
}

.style-switcher .product-list .media-link {
    padding: 0;
    margin-right: 10px;
    display: block;
    position: relative;
    overflow: hidden;
    text-align: center;
}

.style-switcher .product-list {
    max-height: 300px;
}

.style-switcher .bootstrap-select.btn-group .dropdown-menu {
    position: relative;
    max-height: none !important;
}

.style-switcher .product-list .media-heading a {
    color: #fff;
}

.style-switcher .style-switcher-wrap {
    height: 100%;
    margin: 0;
    overflow-y: auto;
    padding: 15px;
    position: relative;
}

.style-switcher h4 {
    color: #fff;
    font-size: 15px;
    font-weight: 600;
    line-height: 30px;
    margin: 0 0 7px;
    padding: 0;
}

.style-switcher .style-switcher-open {
    background-color: #0095da;
    display: block;
    position: absolute;
    /*right: -40px;*/
    top: -40px;
    width: 100%;
    font-size: 17px;
    line-height: 38px;
    color: #FFF;
    text-align: center;
    text-decoration: none;
    border-radius: 0 6px 6px 0;
}

    .style-switcher .style-switcher-open:focus {
        color: #FDFDFD;
    }

.style-switcher h5 {
    color: #999;
    margin: 0 0 2px;
    padding: 0;
    line-height: 30px;
    font-size: 13px;
    font-weight: 400;
    text-transform: none;
}

.style-switcher .form-control {
    background-color: #fff!important;
    border: 1px solid #ccc!important;
}

.style-switcher .colorpicker-element {
    margin: -3px 0 7px;
}

.style-switcher ul.options {
    list-style: none;
    margin: -3px 0 10px;
    padding: 0;
    overflow: hidden;
}

    .style-switcher ul.options li {
        float: left;
        margin: 2px;
    }

        .style-switcher ul.options li a {
            display: block;
            width: 15px;
            height: 15px;
            cursor: pointer;
        }

            .style-switcher ul.options li a.pattern {
                background-repeat: repeat;
                background-position: 0 0;
                background-color: transparent;
            }

.style-switcher .color-picker {
    display: none;
    margin-bottom: 15px;
}

.style-switcher .options-links {
    padding: 0 0 10px;
}

    .style-switcher .options-links a {
        background-color: #000;
        color: #ccc;
        font-size: 12px;
        margin-bottom: 0;
        margin-right: 5px;
        padding: 5px 12px;
        text-decoration: none;
        border-radius: 4px;
    }

        .style-switcher .options-links a:last-child {
            margin-right: 0;
        }

        .style-switcher .options-links a:hover {
            background-color: #262626;
        }

        .style-switcher .options-links a.active {
            background: #FFF;
            color: #666;
        }

.style-switcher .style-switcher-buttons {
    border-top: 1px solid #000;
    margin-top: 15px;
    padding-top: 15px;
    text-align: center;
}

    .style-switcher .style-switcher-buttons a {
        padding: 8px;
        font-size: 13px;
        display: inline-block;
    }

    .style-switcher .style-switcher-buttons .reset {
        width: 74px;
    }

    .style-switcher .style-switcher-buttons .get-css {
        width: 137px;
        font-weight: 700;
    }

        .style-switcher .style-switcher-buttons .get-css i {
            font-size: 14px;
            margin-right: 5px;
        }

textarea.get-css {
    height: 325px;
    width: 538px;
    resize: none;
    cursor: text;
}
